create procedure rrhh.sp_guardarProcesoHoraExtra
@numId int,
@numCodtipoplanilla int,
@txtMesPago varchar(7),
@numQuincena int,
@txtFechaProyeccion date,
@txtIP varchar(25),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;
	declare @dbCnt int;
	declare @dbError varchar(300);

	if @numId = 0
		begin
			insert into rrhh.datos_cargaHorasExtras(codtipoplanilla,mesPago,quincenaPago,fechaProyeccion,ipOrdenador,idUsuario) values(@numCodtipoplanilla,@txtMesPago,@numQuincena,@txtFechaProyeccion,@txtIP,@numUsuario);
			select @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numId;

			select COUNT(*) FROM [negocios_a].dbo.pla_horas_extras where idProcesoCarga = @dbId and cancelado = 1;

			if @dbCnt = 0
				begin
					set @dbError = 'Pagado';
				end
			else
				begin
					update rrhh.datos_cargaHorasExtras set mesPago = @txtMesPago,quincenaPago = @numQuincena,fechaProyeccion = @txtFechaProyeccion where id = @numId;
				end
		end

	set @dbRespuesta = ISNULL(@dbError,'success');
end
